/ lang / mag
Mag
Syntax

    Distance = Mag ( X AS Float , Y AS Float )

This function returns `Sqr((X ^ 2)+(Y ^ 2))`.

This is the length of the hypotenuse of a right-angle triangle with sides of length X and Y, or the distance of the point (X,Y) from the origin.

This is the same function as Hyp.

To convert rectangular coordinates to polar coordinates, use this function to get the distance and Ang to get the angle.

### Examples

    PRINT Mag(1, 1)
    <hr>1.414213562373

    PRINT Mag(3, 4)
    <hr>5

### See also

Trigonometric Functions Ang